/**
 * Theme Name: WordPress RCCL Child Theme
 * Template:   rccl-wp
 */


.staff-directory .directory-wrapper img {
    aspect-ratio: 1/1;
    object-fit: cover;
    object-position: top center;
}

/* Title Desktop Fix */
@media screen and (min-width: 768px) {
    .rccl-wp-child .cc--basic-branding-header .f--text {
        padding-bottom: 2px;
    }
}

/* WP Admin Bar Header Fix */
body.admin-bar #main-content-basic {
    margin-top: calc( 8.5rem - var(--wp-admin--admin-bar--height));
}

@media screen and (min-width: 768px) {
    body.admin-bar #main-content-basic {
        margin-top: calc( 6.875rem - var(--wp-admin--admin-bar--height));
    }
}

@media screen and (min-width: 1024px) {
    body.admin-bar #main-content-basic {
        margin-top: calc(12.25rem - var(--wp-admin--admin-bar--height));
    }
}

/* Descriptive Links: BG Image Duplication Fix */
.cc--descriptive-links.bg-image .inner-wrapper {
    background: none;


}

/* Subsite Menu */
.cc--component-container.cc--main-menu.has-subsite-menu .m--menu.m--main > li:first-child > div > a {
    color: #cc0033;
}

.cc--component-container.cc--main-menu.has-subsite-menu .m--menu.m--main > li:not(.locations):first-child .submenu {
    display: grid;
    grid-template-columns: 1fr 1fr;
    min-width: max-content;
}

.cc--component-container.cc--main-menu.has-subsite-menu .m--menu.m--main > li:first-child .submenus-wrapper {
    width: auto;
}

/*  Rich text block image overrides.   */
.f--rich-text figure img,
.cc--accordion .c--accordion .accordion-list .accordion-list-item .accordion-panel figure img {
    /*height: revert-layer;*/
    width: auto!important;
}
.f--rich-text figure img.aligncenter {
    display: block;
    margin-left: auto;
    margin-right: auto;
}
/*.f--rich-text figure img.alignright {
    float: right;
    margin: 0.5em 0 0.5em 1em;
}
.f--rich-text figure img.alignleft {
    float: left;
    margin: 0.5em 1em 0.5em 0;
}*/

.f--rich-text:after {
    content: "";
    display: table;
    clear: both;
}

.footable_parent .fooicon-search:before {
    background: url('data:image/svg+xml,<svg fill="%23cc0033" role="img" class="search" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 28 28" xml:space="preserve"><title>Open Search</title><path class="search" d="M11.1,0C5,0,0,5,0,11.1s5,11.1,11.1,11.1c2.3,0,4.5-0.7,6.3-2l7.3,7.3c0.8,0.8,2,0.8,2.8,0c0.8-0.8,0.8-2,0-2.8 l-7.3-7.3c1.3-1.8,2-4,2-6.3C22.1,5,17.2,0,11.1,0z M11.1,3.9c4,0,7.2,3.2,7.2,7.2c0,4-3.2,7.2-7.2,7.2c-4,0-7.2-3.2-7.2-7.2 C3.9,7.1,7.1,3.9,11.1,3.9z"></path></svg>');
}

.footable_parent .fooicon-search:before {
    background: url('data:image/svg+xml,<svg fill="%23cc0033" role="img" class="search" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 28 28" xml:space="preserve"><title>Open Search</title><path class="search" d="M11.1,0C5,0,0,5,0,11.1s5,11.1,11.1,11.1c2.3,0,4.5-0.7,6.3-2l7.3,7.3c0.8,0.8,2,0.8,2.8,0c0.8-0.8,0.8-2,0-2.8 l-7.3-7.3c1.3-1.8,2-4,2-6.3C22.1,5,17.2,0,11.1,0z M11.1,3.9c4,0,7.2,3.2,7.2,7.2c0,4-3.2,7.2-7.2,7.2c-4,0-7.2-3.2-7.2-7.2 C3.9,7.1,7.1,3.9,11.1,3.9z"></path></svg>');
}

.footer-top {
    gap: 30px;
}